[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# VarArrayGet

Get a value from a single cell of a variant array

## Declaration

Source position: varianth.inc line 376

`function VarArrayGet(`
`const A: Variant;`
`const Indices: array of LongInt`
`):Variant;`

## Description

VarArrayGet returns the value in the variant array A at the location indicated by Indices. Thus the statement

    B:=VarArrayGet(A,[2,1]);

is equivalent to

    B:=A[2,1];

The difference is that the previous is usable when the amount of indices is not known at compile time.

## Errors

If the number of indices is wrong (or out of range) an exception may be raised.

## See also

VarArrayPut |  | Put a value in a single cell of a variant array